package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 */
@Entity
@Table(name="wlyy_copd_xeek_lung")
public class WlyyCopdXeekLungDO extends UuidIdentityEntity {

    private String deviceType;// String Y 设备类型 设备品牌
    private String deviceSN;// String Y 设备 SN 号 设备唯一
    /**
     *  String Y 报告类型：
     *  1=吸气测试；
     * 2=呼气测试；
     * * 3=吸气训练
     *  4=呼气训练
     * 6=MVV 测试；
     * 7=慢通气测试；
     *
     类型不同时，details
     的参数也不同，参
     考 details 参数备注
     */
    private String reportType;
    /**
     * Int Y 用药标志：
     0=无；1=药前；2=药后；
     药前/后是舒张试验
     的吸气和呼气测试
     类型
     */
    private Integer drugFlag;
    private String patientName;// String Y 患者姓名
    private Integer patientGender;// Int Y 患者性别：            1 – 男；2 – 女；
    private String patientBirthday;// String Y 患者出生日期 格式：    YYYYMMDD
    private String patientNation;// String N 民族
    private String patientMobile;// String N 患者手机号
    private String idCardNo;// String N 身份证号
    private String contactAddress;// String N 联系地址
    private String occupation;// String N 职业
    private String residenceNo;// String N 门诊/住院号
    private String smoking;// String N 吸烟史
    private String disease;// String N 病史
    private String weight;// String Y 体重 单位：KG
    private String height;// String Y 身高 单位：CM
    private String inspectTime;// String Y 检查时间 格式：    YYYY-MM-DD    HH:mm:ss
    private String doctorName;// String Y 检查医生姓名
    private String itemName;// String N 检查项目
    private String finalQuality;// String Y 综合质控等级
    private String fvcQuality;// String Y FVC 质控等级
    private String fev1Quality;// String Y FEV1 质控等级
    private String doctorDiag;// String Y 医生诊断结果
    private Integer refEquations;// Int Y 采用的预计值公式 0=默认；            1=中国人 4-80 岁；            2=Standard'
    private String pdfReport;// String N 报告 Url

    @Column(name="device_type")
    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    @Column(name="device_sn")
    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }

    @Column(name="report_type")
    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    @Column(name="drug_flag")
    public Integer getDrugFlag() {
        return drugFlag;
    }

    public void setDrugFlag(Integer drugFlag) {
        this.drugFlag = drugFlag;
    }

    @Column(name="patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name="patient_gender")
    public Integer getPatientGender() {
        return patientGender;
    }

    public void setPatientGender(Integer patientGender) {
        this.patientGender = patientGender;
    }

    @Column(name="patient_birthday")
    public String getPatientBirthday() {
        return patientBirthday;
    }

    public void setPatientBirthday(String patientBirthday) {
        this.patientBirthday = patientBirthday;
    }

    @Column(name="patient_nation")
    public String getPatientNation() {
        return patientNation;
    }

    public void setPatientNation(String patientNation) {
        this.patientNation = patientNation;
    }

    @Column(name="patient_mobile")
    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    @Column(name="idcard_no")
    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    @Column(name="contact_address")
    public String getContactAddress() {
        return contactAddress;
    }

    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

    @Column(name="occupation")
    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }

    @Column(name="residence_no")
    public String getResidenceNo() {
        return residenceNo;
    }

    public void setResidenceNo(String residenceNo) {
        this.residenceNo = residenceNo;
    }

    @Column(name="smoking")
    public String getSmoking() {
        return smoking;
    }

    public void setSmoking(String smoking) {
        this.smoking = smoking;
    }

    @Column(name="disease")
    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    @Column(name="weight")
    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    @Column(name="height")
    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    @Column(name="inspect_time")
    public String getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(String inspectTime) {
        this.inspectTime = inspectTime;
    }

    @Column(name="doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name="item_name")
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Column(name="final_quality")
    public String getFinalQuality() {
        return finalQuality;
    }

    public void setFinalQuality(String finalQuality) {
        this.finalQuality = finalQuality;
    }

    @Column(name="fvc_quality")
    public String getFvcQuality() {
        return fvcQuality;
    }

    public void setFvcQuality(String fvcQuality) {
        this.fvcQuality = fvcQuality;
    }

    @Column(name="fev1_quality")
    public String getFev1Quality() {
        return fev1Quality;
    }

    public void setFev1Quality(String fev1Quality) {
        this.fev1Quality = fev1Quality;
    }

    @Column(name="doctor_diag")
    public String getDoctorDiag() {
        return doctorDiag;
    }

    public void setDoctorDiag(String doctorDiag) {
        this.doctorDiag = doctorDiag;
    }

    @Column(name="ref_equations")
    public Integer getRefEquations() {
        return refEquations;
    }

    public void setRefEquations(Integer refEquations) {
        this.refEquations = refEquations;
    }

    @Column(name="pdf_report")
    public String getPdfReport() {
        return pdfReport;
    }

    public void setPdfReport(String pdfReport) {
        this.pdfReport = pdfReport;
    }
}
